# Hive Developer Portal

Methods:

- get_account_reputations

Needed by `condenser_api` to optionally use `follow_api` or `reputation_api` for account reputations (the latter if `hivemind` is fronting `follow_api`)

- Since: HF20
- Related

#### reputation_api.get_account_reputations

Returns the reputation of accounts. Parameters: `account:string`; `limit:int`

- `limit` is up to 1000.

`account` (string) | `limit` (int) |
--- | --- | ---
`"hiveio"` | 10 | Queries the reputation for account named “hiveio”.

See #1425

Also see: Paginated API Methods

##### Query Parameters JSON

    {"account_lower_bound": "", "limit": 1000}

##### Expected Response JSON

    {"account": "steem", "reputation": 0}

##### Example `curl`

    curl -s --data '{"jsonrpc":"2.0", "method":"reputation_api.get_account_reputations", "params": {"account_lower_bound": "steem"}, "id":1}' https://api.openhive.network